MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032152Open CASCADE[OCCT] OCCT:Visualizationpublic2021-02-21 15:292021-03-02 16:02
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032152: Visualization - move out GLSL program generator from OpenGl_ShaderManager to Graphic3d_ShaderManager
DescriptionOpenGl_ShaderManager provides a GLSL program generator for standard functionality (lighting and auxiliary programs).

It is proposed moving this generator to Graphic3d_ShaderManager to make it more reusable across graphical drivers (in future).
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0030126newkgv Visualization, Graphic3d_ShaderManager - define standard Lighting & Clipping within custom GLSL programs as template functions 
child of 0030631newkgv Visualization - Vulkan graphic driver prototype 

-  Notes
(0099070)
git (administrator)
2021-02-21 15:38

Branch CR32152 has been created by kgv.

SHA-1: 1d56e7774d101154f42ceaec9b8f8a22e3bb3dc7


Detailed log of new commits:

Author: kgv
Date: Sat Feb 20 23:03:30 2021 +0300

    0032152: Visualization - move out GLSL program generator from OpenGl_ShaderManager to Graphic3d_ShaderManager
(0099071)
git (administrator)
2021-02-21 15:41

Branch CR32152_test has been created by kgv.

SHA-1: 3cef6d950af610dc0281609ee5e0821864b20458


Detailed log of new commits:

Author: kgv
Date: Sat Feb 20 20:25:31 2021 +0300

    0032149: Draw Harness, ViewerTest - remove obsolete command vfeedback

Author: kgv
Date: Sat Feb 20 20:58:33 2021 +0300

    0032150: Visualization, TKOpenGl - ignore OpenGl_Caps::ffpEnable when FFP is unavailable
    
    OpenGl_Workspace::Activate() now implicitly disables OpenGl_Caps::ffpEnable when it is unsupported.
    OpenGl_AspectsSprite::build() now ignores OpenGl_Caps::pntSpritesDisable when Display Lists are unsupported.

Author: kgv
Date: Sat Feb 20 15:01:16 2021 +0300

    0031196: Visualization, TKOpenGl - enable Ray-Tracing using OpenGL ES 3.2
    
    OpenGl_Context now activates Ray-Tracing and arbTboRGB32 for GLES 3.2.
    Removed initialization of some uniforms from GLSL code.
    Fixed implicit casts within Ray-Tracing shaders.
(0099072)
git (administrator)
2021-02-21 17:55

Branch CR32152_test has been updated forcibly by kgv.

SHA-1: 61cdb069ba2e039f7da0b6119e32fd4ae9cf8096
(0099073)
git (administrator)
2021-02-21 17:56

Branch CR32152 has been updated forcibly by kgv.

SHA-1: b449be6d68ebc1ddbbcb02166181401a9b7fe196
(0099074)
git (administrator)
2021-02-21 18:02

Branch CR32152_test has been updated forcibly by kgv.

SHA-1: 665fa9d6dfae6a833f2cf17498fae25ed99333e2
(0099075)
git (administrator)
2021-02-21 18:03

Branch CR32152 has been updated forcibly by kgv.

SHA-1: 665fa9d6dfae6a833f2cf17498fae25ed99333e2
(0099076)
git (administrator)
2021-02-21 18:04

Branch CR32152_test has been deleted by kgv.

SHA-1: 665fa9d6dfae6a833f2cf17498fae25ed99333e2
(0099077)
git (administrator)
2021-02-21 18:05

Branch CR32152 has been updated forcibly by kgv.

SHA-1: ad1fa5e6ac8eef897b315751e5215c46ae3f716c
(0099080)
git (administrator)
2021-02-21 18:40

Branch CR32152 has been updated forcibly by kgv.

SHA-1: 342874018f51cf848e75a6c35fbf1f93f24eaa9a
(0099082)
git (administrator)
2021-02-21 20:03

Branch CR32152 has been updated forcibly by kgv.

SHA-1: 1cc7067539beb67c4d0ae62010335efc5e2120d8
(0099084)
git (administrator)
2021-02-21 20:12

Branch CR32152 has been updated forcibly by kgv.

SHA-1: 96199d7b76a8cf03643b2c59006bb9f3822f689f
(0099088)
git (administrator)
2021-02-22 10:00

Branch CR32152 has been updated forcibly by kgv.

SHA-1: 39f9bdf8bf9a7924446de88e58b9875102f6a818
(0099091)
kgv (developer)
2021-02-22 12:01

Patch is ready for review
- OCCT: branch CR32152.
(0099105)
osa (developer)
2021-02-24 12:13

The patch was reviewed
(0099197)
bugmaster (administrator)
2021-02-27 11:49

Combination -
OCCT branch : IR-2021-02-26
master SHA - bc0711a5c3c2c9a627834136e10b13a8564c5a00
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-02-26 SHA - 5c3782d3621ca4bd4a2339197c1c5cf352b51ac7
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17811.770000000153 / 17875.850000000235 [-0.36%]
Products
Total CPU difference: 11543.6500000001 / 11549.600000000113 [-0.05%]
Windows-64-VC14:
OCCT
Total CPU difference: 19344.3125 / 19351.640625 [-0.04%]
Products
Total CPU difference: 12900.578125 / 12845.234375 [+0.43%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0099216)
git (administrator)
2021-02-27 12:26

Branch CR32152 has been deleted by inv.

SHA-1: 39f9bdf8bf9a7924446de88e58b9875102f6a818

- Related Changesets
occt: master 4bf072e4
Timestamp: 2021-02-20 20:03:30
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032152: Visualization - move out GLSL program generator from OpenGl_ShaderManager to Graphic3d_ShaderManager
mod - src/Graphic3d/FILES Diff ] File ]
add - src/Graphic3d/Graphic3d_ShaderFlags.hxx Diff ] File ]
add - src/Graphic3d/Graphic3d_ShaderManager.cxx Diff ] File ]
add - src/Graphic3d/Graphic3d_ShaderManager.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ShaderObject.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ShaderObject.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_SetOfShaderPrograms.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderManager.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderManager.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderObject.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderObject.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-02-21 15:29 kgv New Issue
2021-02-21 15:29 kgv Assigned To => kgv
2021-02-21 15:34 kgv Relationship added child of 0030631
2021-02-21 15:38 git Note Added: 0099070
2021-02-21 15:41 git Note Added: 0099071
2021-02-21 17:55 git Note Added: 0099072
2021-02-21 17:56 git Note Added: 0099073
2021-02-21 18:02 git Note Added: 0099074
2021-02-21 18:03 git Note Added: 0099075
2021-02-21 18:04 git Note Added: 0099076
2021-02-21 18:05 git Note Added: 0099077
2021-02-21 18:40 git Note Added: 0099080
2021-02-21 20:03 git Note Added: 0099082
2021-02-21 20:12 git Note Added: 0099084
2021-02-22 10:00 git Note Added: 0099088
2021-02-22 12:01 kgv Note Added: 0099091
2021-02-22 12:01 kgv Assigned To kgv => osa
2021-02-22 12:01 kgv Status new => resolved
2021-02-24 12:13 osa Note Added: 0099105
2021-02-24 12:13 osa Assigned To osa => bugmaster
2021-02-24 12:13 osa Status resolved => reviewed
2021-02-27 11:49 bugmaster Note Added: 0099197
2021-02-27 11:49 bugmaster Status reviewed => tested
2021-02-27 11:53 bugmaster Test case number => Not required
2021-02-27 11:59 bugmaster Changeset attached => occt master 4bf072e4
2021-02-27 11:59 bugmaster Status tested => verified
2021-02-27 11:59 bugmaster Resolution open => fixed
2021-02-27 12:26 git Note Added: 0099216
2021-03-02 16:02 kgv Relationship added related to 0030126


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker